import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.NoResultException;
import javax.persistence.Persistence;
import javax.persistence.Query;
import oracle.toplink.essentials.queryframework.ObjectLevelReadQuery;
public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Query q = em.createQuery("SELECT e FROM Student e WHERE e.id = ?1");

    q.setHint("cacheUsage", ObjectLevelReadQuery.DoNotCheckCache);
    
    int empId = 1;
    
    q.setParameter(1, empId);
    Student st =  (Student)q.getSingleResult();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}